package digital.laboratory.platform.inspection.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum SewageReportColumn {
    COLUMN_1("样品编号", "red", ""),
    COLUMN_2("污水处理厂名称", "red", ""),
    COLUMN_3("所在地（省）", "red", ""),
    COLUMN_4("所在地（市）", "red", ""),
    COLUMN_5("所在地（区/县）", "", ""),
    COLUMN_6("采样时间", "", ""),
    COLUMN_7("污水厂服务人口(万人)", "", ""),
    COLUMN_8("生活污水占比", "", ""),
    COLUMN_9("流量（万立方米/天）", "", ""),
    COLUMN_10("人均日吸烟（支）", "", ""),
    COLUMN_11("可替宁排泄量（mg/千人天）", "", ""),
    COLUMN_12("测算人口（千人）", "", ""),
    COLUMN_13("可替宁（ng/L）", "red", ""),
    COLUMN_14("可待因（ng/L）", "red", ""),
    COLUMN_15("MDA（ng/L）", "red", ""),
    COLUMN_16("MDMA（ng/L）", "red", ""),
    COLUMN_17("可卡因（ng/L）", "red", ""),
    COLUMN_18("苯甲酰爱康宁（ng/L）", "red", ""),
    COLUMN_19("吗啡（ng/L）", "red", ""),
    COLUMN_20("O6-单乙酰吗啡（ng/L）", "red", ""),
    COLUMN_21("甲基苯丙胺（ng/L）", "red", "red"),
    COLUMN_22("苯丙胺（ng/L）", "red", ""),
    COLUMN_23("氯胺酮（ng/L）", "red", "red"),
    COLUMN_24("去甲氯胺酮（ng/L）", "red", ""),
    COLUMN_25("四氢大麻酸（ng/L）", "red", ""),
    COLUMN_26("", "", ""),
    COLUMN_27("吗啡负荷量(mg/千人﹒天）", "", ""),
    COLUMN_28("可待因负荷量(mg/千人﹒天）", "", ""),
    COLUMN_29("可待因转化为吗啡负荷量(mg/千人﹒天）", "", ""),
    COLUMN_30("医用吗啡负荷量(mg/千人﹒天）", "", ""),
    COLUMN_31("MA/AM", "red", "red"),
    COLUMN_32("K/NK", "red", "red"),
    COLUMN_33("", "", ""),
    COLUMN_34("人均消耗量(mg/千人﹒天）", "", "pink"),
    COLUMN_35("Heroin", "", ""),
    COLUMN_36("MA", "", ""),
    COLUMN_37("K", "", ""),
    COLUMN_38("MDMA", "", ""),
    COLUMN_39("COC", "", ""),
    COLUMN_40("THC", "", ""),
    COLUMN_41("", "", ""),
    COLUMN_42("", "", ""),
    COLUMN_43("总消耗量", "", "pink"),
    COLUMN_44("Heroin", "", ""),
    COLUMN_45("MA", "", ""),
    COLUMN_46("K", "", ""),
    COLUMN_47("MDMA", "", ""),
    COLUMN_48("COC", "", ""),
    COLUMN_49("THC", "", "");
    private final String columnName;
    private final String fontColor;
    private final String backgroundColor;

    public String getColumnName() {
        return columnName;
    }

    public String getFontColor() {
        return fontColor;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }
}
